API
Sandboxes
The containers agents execute in, and their live metrics.
Query Parameters
projectId?string
status?string
Value in
- "running"
- "stale"
- "destroyed"
- "completed"
- "failed"
limit?integer
Range
1 <= value <= 500Default
200Response Body
application/json
application/json
curl -X GET "https://example.com/sandboxes"{ "data": [ { "sandboxId": "string", "issueId": "string", "projectId": "string", "role": "string", "harness": "string", "harnessVersion": "string", "runId": "string", "status": "running", "terminationReason": "string", "instanceType": "string", "createdAt": 0, "timeoutAt": 0, "lastHeartbeatAt": 0, "destroyedAt": 0, "lastCpuPct": 0, "lastMemUsedMb": 0, "lastMemTotalMb": 0, "lastDiskUsedPct": 0, "lastMetricAt": 0 } ], "nextCursor": "string"}curl -X GET "https://example.com/sandboxes/string"{ "sandbox": { "sandboxId": "string", "issueId": "string", "projectId": "string", "role": "string", "harness": "string", "harnessVersion": "string", "runId": "string", "status": "running", "terminationReason": "string", "instanceType": "string", "createdAt": 0, "timeoutAt": 0, "lastHeartbeatAt": 0, "destroyedAt": 0, "lastCpuPct": 0, "lastMemUsedMb": 0, "lastMemTotalMb": 0, "lastDiskUsedPct": 0, "lastMetricAt": 0 }, "metrics": [ { "t": 0, "cpuPct": 0, "memUsedMb": 0, "memTotalMb": 0, "diskUsedPct": 0 } ], "sessions": [ { "role": "string", "sessionId": "string", "ts": "string", "outcome": "string", "logKey": "string", "systemKey": "string", "totalCostUsd": 0 } ], "liveFragments": [ { "kind": "thought", "t": 0, "body": "string", "action": "string", "parameter": "string", "result": "string", "toolUseId": "string", "items": [ { "content": "string", "status": "string" } ] } ]}Path Parameters
sandboxId*string
Length
1 <= lengthQuery Parameters
role*string
sessionId*string
part?string
Default
"session"Value in
- "session"
- "system"
- "prompt"
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/sandboxes/string/logs?role=string&sessionId=string"{ "sandboxId": "string", "role": "string", "sessionId": "string", "part": "session", "content": "string", "bytes": 0, "promptScope": "repo-contributed", "promptSpans": [ { "id": "string", "content": "string" } ]}Path Parameters
sandboxId*string
Length
1 <= lengthResponse Body
application/json
application/json
application/json
curl -X POST "https://example.com/sandboxes/string/kill"{ "ok": true, "sandboxId": "string"}How is this page?